## qrcode 0.0.1

=== Makefile ===
#############################################################################
# Makefile for building: qrcode
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fr 1. Aug 22:31:28 2014
# Project:  qrcode.pro
# Template: app
# Command: c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile qrcode.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -I. -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -I. -Imoc -Iui
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -LC:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -LD:/n900code/qrcode-0.0.1/ -lqrencode -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp moc/moc_mainwindow.cpp
OBJECTS       = obj/main.o \
		obj/mainwindow.o \
		obj/moc_mainwindow.o
DIST          = c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		deployment.pri \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		qrcode.pro
QMAKE_TARGET  = qrcode
DESTDIR       = 
TARGET        = qrcode

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui/ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qrcode.pro  c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default/qmake.conf c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		deployment.pri \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl
	$(QMAKE) -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile qrcode.pro
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
deployment.pri:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile qrcode.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/qrcode1.0.0 || $(MKDIR) obj/qrcode1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/qrcode1.0.0/ && $(COPY_FILE) --parents mainwindow.h obj/qrcode1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp obj/qrcode1.0.0/ && $(COPY_FILE) --parents mainwindow.ui obj/qrcode1.0.0/ && (cd `dirname obj/qrcode1.0.0` && $(TAR) qrcode1.0.0.tar qrcode1.0.0 && $(COMPRESS) qrcode1.0.0.tar) && $(MOVE) `dirname obj/qrcode1.0.0`/qrcode1.0.0.tar.gz . && $(DEL_FILE) -r obj/qrcode1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc/moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc/moc_mainwindow.cpp
moc/moc_mainwindow.cpp: mainwindow.h
	C:/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/moc.exe $(DEFINES) $(INCPATH) mainwindow.h -o moc/moc_mainwindow.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui/ui_mainwindow.h
compiler_uic_clean:

=== debian/changelog ===
qrcode (0.0.1) unstable; urgency=low

  * Initial Release by Pillum.

 -- Christian Weniger <less_to_space@web.de>  Mon, 28 Mar 2011 00:28:28 +0000

=== debian/control ===
Source: qrcode
Section: user/utilities
Priority: optional
Maintainer: Christian Weniger <less_to_space@web.de>
Build-Depends: debhelper (>= 5), libqt4-dev, libqrencode-dev
Standards-Version: 3.7.3
Homepage: http://maemo.org/packages/view/qrcode/

Package: qrcode
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqrencode3
Description: GUI for qrencode
 Graphic user interface for a command-line QR encoder by Pillum. 
XB-Maemo-Display-Name: QRcode
XB-Maemo-Icon-26: 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
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=qrcode

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	qmake # uncomment for autobuilder
	#docbook-to-man debian/qrcode.sgml > qrcode.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean #comment out for autobuilder

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/qrcode.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/qrcode install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	# dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps                      # Uncomment this line for publishing!
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qrcode 0.1.1

=== DESCRIPTION ===
Package: qrcode
Type: Package
Title: QRcode Generator for R
Version: 0.1.1
Date: 2015-08-13
Author: Victor Teh
Maintainer: Victor Teh <victorteh@gmail.com>
Description: Create QRcode in R.
License: GPL-3
Depends: R (>= 3.0.0)
Imports: R.utils, stringr, stats, utils
LazyData: TRUE
NeedsCompilation: no
Packaged: 2015-08-23 17:04:26 UTC; 09776
Repository: CRAN
Date/Publication: 2015-08-23 23:27:47

## qrcode 0.1.3

=== DESCRIPTION ===
Type: Package
Package: qrcode
Title: Generate QRcodes with R
Version: 0.1.3
Authors@R: 
    c(person(given = "Victor",
             family = "Teh",
             role = "aut",
             email = "victorteh@gmail.com"),
      person(given = "Thierry",
             family = "Onkelinx",
             role = c("ctb", "cre"),
             email = "thierry.onkelinx@inbo.be",
             comment = c(ORCID = "0000-0001-8804-4216")))
Description: Create QRcode in R.
License: GPL-3
URL: https://thierryo.github.io/qrcode/,
        https://github.com/ThierryO/qrcode,
        https://doi.org/10.5281/zenodo.5040088
BugReports: https://github.com/ThierryO/qrcode/issues
Depends: R (>= 3.0.0)
Imports: R.utils, stats, stringr, utils
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-07-02 14:22:22 UTC; thierry
Author: Victor Teh [aut],
  Thierry Onkelinx [ctb, cre] (<https://orcid.org/0000-0001-8804-4216>)
Maintainer: Thierry Onkelinx <thierry.onkelinx@inbo.be>
Repository: CRAN
Date/Publication: 2021-07-02 15:10:02 UTC

## qrcode 0.1.4

=== DESCRIPTION ===
Type: Package
Package: qrcode
Title: Generate QRcodes with R
Version: 0.1.4
Authors@R: c(
    person("Victor", "Teh", , "victorteh@gmail.com", role = "aut",
           comment = "Original author"),
    person("Thierry", "Onkelinx", , "thierry.onkelinx@inbo.be", role = c("aut", "cre"),
           comment = c("Author of the reimplemented functions", ORCID = "0000-0001-8804-4216"))
  )
Description: Create QRcode in R.
License: GPL-3
URL: https://thierryo.github.io/qrcode/,
        https://github.com/ThierryO/qrcode,
        https://doi.org/10.5281/zenodo.5040088
BugReports: https://github.com/ThierryO/qrcode/issues
Depends: R (>= 3.0.0)
Imports: R.utils, assertthat, stats, stringr, utils
Suggests: httr, testthat (>= 3.0.0)
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-GB
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-10-13 14:19:35 UTC; thierry
Author: Victor Teh [aut] (Original author),
  Thierry Onkelinx [aut, cre] (Author of the reimplemented functions,
    <https://orcid.org/0000-0001-8804-4216>)
Maintainer: Thierry Onkelinx <thierry.onkelinx@inbo.be>
Repository: CRAN
Date/Publication: 2021-10-13 14:42:07 UTC

## qrcode 0.2.0

=== DESCRIPTION ===
Type: Package
Package: qrcode
Title: Generate QRcodes with R
Version: 0.2.0
Authors@R: c(
    person("Thierry", "Onkelinx", , "thierry.onkelinx@inbo.be", role = c("aut", "cre"),
           comment = c("Author of the reimplemented functions", ORCID = "0000-0001-8804-4216")),
    person("Victor", "Teh", , "victorteh@gmail.com", role = "aut",
           comment = "Original author")
  )
Description: Create QRcode in R.
License: GPL-3
URL: https://thierryo.github.io/qrcode/,
        https://github.com/ThierryO/qrcode,
        https://doi.org/10.5281/zenodo.5040088
BugReports: https://github.com/ThierryO/qrcode/issues
Depends: R (>= 3.0.0)
Imports: assertthat, knitr, stats, utils
Suggests: httr, testthat (>= 3.0.0)
Config/checklist/keywords: two-dimensional barcode; matrix barcode
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-GB
RoxygenNote: 7.2.2
NeedsCompilation: no
Packaged: 2022-11-19 15:00:31 UTC; thierry
Author: Thierry Onkelinx [aut, cre] (Author of the reimplemented functions,
    <https://orcid.org/0000-0001-8804-4216>),
  Victor Teh [aut] (Original author)
Maintainer: Thierry Onkelinx <thierry.onkelinx@inbo.be>
Repository: CRAN
Date/Publication: 2022-11-19 19:40:05 UTC

## qrcode 0.2.1

=== DESCRIPTION ===
Type: Package
Package: qrcode
Title: Generate QRcodes with R
Version: 0.2.1
Authors@R: c(
    person("Thierry", "Onkelinx", , "thierry.onkelinx@inbo.be", role = c("aut", "cre"),
           comment = c("Author of the reimplemented functions", ORCID = "0000-0001-8804-4216")),
    person("Victor", "Teh", , "victorteh@gmail.com", role = "aut",
           comment = "Original author")
  )
Description: Create QRcode in R.
License: GPL-3
URL: https://thierryo.github.io/qrcode/,
        https://github.com/ThierryO/qrcode,
        https://doi.org/10.5281/zenodo.5040088
BugReports: https://github.com/ThierryO/qrcode/issues
Depends: R (>= 4.1.0)
Imports: assertthat, stats, utils
Suggests: httr, jpeg, knitr, png, rsvg, testthat (>= 3.0.0)
Config/checklist/keywords: two-dimensional barcode; matrix barcode
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-GB
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2022-12-18 10:37:10 UTC; thierry
Author: Thierry Onkelinx [aut, cre] (Author of the reimplemented functions,
    <https://orcid.org/0000-0001-8804-4216>),
  Victor Teh [aut] (Original author)
Maintainer: Thierry Onkelinx <thierry.onkelinx@inbo.be>
Repository: CRAN
Date/Publication: 2022-12-18 13:20:02 UTC

## qrcode 0.2.2

=== DESCRIPTION ===
Type: Package
Package: qrcode
Title: Generate QRcodes with R
Version: 0.2.2
Authors@R: c(
    person("Thierry", "Onkelinx", , "qrcode@muscardinus.be", role = c("aut", "cre"),
           comment = c("Author of the reimplemented functions", ORCID = "0000-0001-8804-4216")),
    person("Victor", "Teh", , "victorteh@gmail.com", role = "aut",
           comment = "Original author")
  )
Description: Create static QR codes in R. The content of the QR code is
    exactly what the user defines. We don't add a redirect URL, making it
    impossible for us to track the usage of the QR code. This allows to
    generate fast, free to use and privacy friendly QR codes.
License: GPL-3
URL: https://thierryo.github.io/qrcode/,
        https://github.com/ThierryO/qrcode,
        https://doi.org/10.5281/zenodo.5040088
BugReports: https://github.com/ThierryO/qrcode/issues
Depends: R (>= 4.1.0)
Imports: assertthat, stats, utils
Suggests: httr, jpeg, knitr, opencv, png, rsvg, testthat (>= 3.0.0)
Config/checklist/keywords: two-dimensional barcode; matrix barcode
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-GB
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-11-10 09:48:49 UTC; thierry
Author: Thierry Onkelinx [aut, cre] (Author of the reimplemented functions,
    <https://orcid.org/0000-0001-8804-4216>),
  Victor Teh [aut] (Original author)
Maintainer: Thierry Onkelinx <qrcode@muscardinus.be>
Repository: CRAN
Date/Publication: 2023-11-11 10:53:21 UTC

## qrcode 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: qrcode
 Title: Generate QRcodes with R
-Version: 0.2.2
+Version: 0.3.0
 Authors@R: c(
     person("Thierry", "Onkelinx", , "qrcode@muscardinus.be", role = c("aut", "cre"),
            comment = c("Author of the reimplemented functions", ORCID = "0000-0001-8804-4216")),
@@ -24,12 +24,12 @@
 Config/testthat/edition: 3
 Encoding: UTF-8
 Language: en-GB
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2023-11-10 09:48:49 UTC; thierry
+Packaged: 2024-09-29 16:12:05 UTC; thierry
 Author: Thierry Onkelinx [aut, cre] (Author of the reimplemented functions,
     <https://orcid.org/0000-0001-8804-4216>),
   Victor Teh [aut] (Original author)
 Maintainer: Thierry Onkelinx <qrcode@muscardinus.be>
 Repository: CRAN
-Date/Publication: 2023-11-11 10:53:21 UTC
+Date/Publication: 2024-09-29 16:40:02 UTC
